/* images.c.  Contains the image control data. [BDyess] */
/* automatically created by scripts/mkimgsrc */

#include "config.h"
#include "images.h"
#include "beossprite.h"

static W_Image imagearray[] = {
   {0, 0, 0, "al",		0, 0},
   {0, 0, 0, "alien1",		0, 0},
   {0, 0, 0, "alien10",		0, 0},
   {0, 0, 0, "alien11",		0, 0},
   {0, 0, 0, "alien12",		0, 0},
   {0, 0, 0, "alien13",		0, 0},
   {0, 0, 0, "alien14",		0, 0},
   {0, 0, 0, "alien15",		0, 0},
   {0, 0, 0, "alien16",		0, 0},
   {0, 0, 0, "alien17",		0, 0},
   {0, 0, 0, "alien2",		0, 0},
   {0, 0, 0, "alien3",		0, 0},
   {0, 0, 0, "alien4",		0, 0},
   {0, 0, 0, "alien5",		0, 0},
   {0, 0, 0, "alien6",		0, 0},
   {0, 0, 0, "alien7",		0, 0},
   {0, 0, 0, "alien8",		0, 0},
   {0, 0, 0, "alien9",		0, 0},
   {0, 0, 0, "etorp",		0, 0},
   {0, 0, 0, "explosion",	0, 0},
   {0, 0, 0, "extra",		0, 0},
   {0, 0, 0, "miniship",	0, 0},
   {0, 0, 0, "mtorp",		0, 0},
   {0, 0, 0, "pause",		0, 0},
   {0, 0, 0, "player1",		0, 0},
   {0, 0, 0, "player2",		0, 0},
   {0, 0, 0, "player3",		0, 0},
   {0, 0, 0, "pr_blank",	0, 0},
   {0, 0, 0, "pr_brain",	0, 0},
   {0, 0, 0, "pr_doub",		0, 0},
   {0, 0, 0, "pr_extrabullet",	0, 0},
   {0, 0, 0, "pr_lemon",	0, 0},
   {0, 0, 0, "pr_shield",	0, 0},
   {0, 0, 0, "pr_sing",		0, 0},
   {0, 0, 0, "pr_speed",	0, 0},
   {0, 0, 0, "pr_trip",		0, 0},
   {0, 0, 0, "s1000",		0, 0},
   {0, 0, 0, "s2000",		0, 0},
   {0, 0, 0, "s4000",		0, 0},
   {0, 0, 0, "s500",		0, 0},
   {0, 0, 0, "shield",		0, 0},
   {0, 0, 0, "title",		0, 0},
   {0, 0, 0, "pr_spread",	0, 0},
   {0, 0, 0, "pr_machine",	0, 0},
   {0, 0, 0, NULL,		0, 0}
};

W_Image *
getImage(offset)
  int offset;
{
  W_Image * image = &imagearray[offset];
  if(!image->loaded) {
    W_LoadImage(image);
  }
  return image;
}


void
beos_free_images()
{
    W_Image *image = imagearray;
    while (image->filename != NULL) {
	beos_free_image(image);
	image++;
    }
}

